/* --------- ---------------- --------- */
/* -------- SOMMAIRE -------- */
/* --------- ---------------- --------- */
/* ---------- 00/GENERALITES ---------- */
/* -------- 01/COLLAPSIBLE FAQ -------- */


/* --------- ---------------- --------- */
/* ---------- 00/GENERALITES ---------- */
/* --------- ---------------- --------- */


@font-face {
    font-family: Alegreya;
    src: url(/fonts/alegreya/AlegreyaSans-Regular-ok.otf);
}

html{
    margin:0;
    scroll-behavior: smooth;
    box-sizing:border-box;
    font-family:Alegreya;
}

body{
    margin:0;
    box-sizing:border-box;
    font-size: 20px;
}

h1{
    font-size: 48px;
}

h2{
    font-size: 36px;
}

h3{
    font-size: 20px;
}

.verdana{
    font-family:Verdana,sans-serif;
}

.alegreya{
    font-family:Alegreya;
}

.arial{
    font-family:Arial,sans-serif;
}

.fond_gris{
    background-color:#9e9e9e
}

.aligne_gauche{
    text-align:left;
}

.bg {
  /* The image used */
  background-image: url("/img/background.jpg");

  /* Full height */
  height: 100%; 
    width: 100%;
  /* Center and scale the image nicely */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  
  background-attachment: fixed;
}

.clickable {
    cursor:pointer;
}
/* --------- ---------------- --------- */
/* -------- 01/COLLAPSIBLE FAQ -------- */
/* --------- ---------------- --------- */

.collapsible {
  background-color: #777;
  color: white;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
}

.active, .collapsible:hover {
  background-color: #555;
}

.collapsible:after {
  content: '\002B';
  color: white;
  font-weight: bold;
  float: right;
  margin-left: 5px;
}

.active:after {
  content: "\2212";
}

.content {
    font-family:'Alegreya';
  padding: 0 18px;
  max-height: 0;
  overflow: hidden;
  font-size: 1em;
  transition: max-height 0.75s ease-in-out;
  background: rgba(196, 196, 196, 1);
}


.regles a {
  padding: 8px;
  text-decoration: none;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.regles a:hover, .regles a:focus {
  color: #000000;
}

/* CARTE INTERACTIVE */

.map{
	width: 1620px;
	height: 1080px;
	background-repeat: no-repeat;
	background-position: 0 0; 
	position: relative;
}


.map .overlay
{
	width: 1620px;
	height: 1080px;
	background-size: 12960px;
	background-position: 0 0 ; 
	background-repeat: no-repeat;
	position: absolute;
	top: 0;
	left : 0;
	z-index: 1;

}

.garg{
    
}

.garg_arthon{
    
}

.garg_boqueron{
    
}

.brag{
    
}

.residence_garg{
    
}

/* --------- ---------------- --------- */
/* --------- LA BARRE DE MENU --------- */
/* --------- ---------------- --------- */
.navigation {
    margin:auto;
    overflow: visible;
    background-color: black;
    width:100%;
    height:70px;
    
    
}

.navbar {
    width:87.5%;
    height:100%;
    margin:auto;
    overflow: visible;
    background-color: black;
}

.navbar a {
    font-family:Alegreya;
    float: left;
    font-size: 1vw;
    color: white;
    text-align: center;
    text-decoration: none;
}

.dropdown {
  float: left;
  overflow: hidden;
}

.dropbtn {
    padding: 12px 0px 12px 0px;
    font-size: 16px;  
    border: none;
    outline: none;
    color: white;
    background: rgba(1, 1, 1, 1.0);
}

.dropdown .dropbtn {
  font-size: 16px;  
  border: none;
  outline: none;
  background: rgba(1, 1, 1, 1.0);
  color: white;
}

.navbar a:hover, .dropdown:hover .dropbtn {
  /* background-color: grey; */
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  z-index: 1;
}

.dropdown-content a {
    padding: 12px;
    float: none;
    color: black;
    text-decoration: none;
    display: block;
    text-align: left;
}

/*  .dropdown-content a:hover {
  background-color: #ddd;
} */

.dropdown:hover .dropdown-content {
  display: block;
}

/* Underline From Left */
.hvr-underline-from-left {
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
  position: relative;
  overflow: hidden;
}
.hvr-underline-from-left:before {
  content: "";
  position: absolute;
  z-index: -1;
  left: 0;
  right: 100%;
  bottom: 0;
  background: #2098D1;
  height: 4px;
  -webkit-transition-property: right;
  transition-property: right;
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -webkit-transition-timing-function: ease-out;
  transition-timing-function: ease-out;
}
.hvr-underline-from-left:hover:before, .hvr-underline-from-left:focus:before, .hvr-underline-from-left:active:before {
  right: 0;
}

/* Underline From Center */
.hvr-underline-from-center {
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
  position: relative;
  overflow: hidden;
}
.hvr-underline-from-center:before {
  content: "";
  position: absolute;
  z-index: -1;
  left: 51%;
  right: 51%;
  bottom: 0;
  background: #2098D1;
  height: 4px;
  -webkit-transition-property: left, right;
  transition-property: left, right;
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -webkit-transition-timing-function: ease-out;
  transition-timing-function: ease-out;
}
.hvr-underline-from-center:hover:before, .hvr-underline-from-center:focus:before, .hvr-underline-from-center:active:before {
  left: 0;
  right: 0;
}

/* --------- ---------------- --------- */
/* --------- ---------------- --------- */
/* --------- ---------------- --------- */

.couverture{
    margin:auto;
    height:400px;
    width:100%;
    background: rgba(0, 0, 0, 1);
    position: relative;
    text-align: center;

}

.centered {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
    font-family: Knighty; 
    font-size: 48px; 
    color: white; 
    text-shadow: 0 0 3px #FF0000;

}

.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}
/* --------- ---------------- --------- */
/* --------- ---------------- --------- */
/* --------- ---------------- --------- */
.composition{
    margin:auto;
    height:auto;
    width:auto;
    box-sizing:border-box;
}


.composition .gauche{
    background: rgba(0, 190, 255, 0.3);
    height:100%;
    width:20%;
    float:left;
    display: inline-block;
}

.composition .droite{
    background: rgba(255, 255, 255, 0.3);
    width:80%;
    display: inline-block;
}


article {
    margin:0;
    font-family:Alegreya;
    box-sizing:border-box;
}


/* --------- ---------------- --------- */
/* --------      GNNAVBAR      -------- */
/* --------- ---------------- --------- */

.gn-overlay-deroule {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 10;
  top: 0;
  left: 0;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0, 1);
  overflow-x: hidden;
  transition: 0.5s;
}

.gn-overlay-deroule-content {
  position: relative;
  top: 10%;
  width: 100%;
  text-align: center;
  margin-top: 30px;
}

.gn-overlay-deroule a {
  padding: 8px;
  text-decoration: none;
  font-size: 24px;
  color: #818181;
  display: block;
  transition: 0.3s;
  cursor:pointer;
}

.gn-overlay-deroule a:hover, .gn-overlay-deroule a:focus {
  color: #f1f1f1;
}

.gn-overlay-deroule .closebtn-deroule {
  position: absolute;
  top: 2vh;
  right: 3vw;
  font-size: 6vh;
}

.gn-overlay-deroule p {
  padding: 8px;
  text-decoration: none;
  font-size: 36px;
  color: #ffc93a;
  display: block;
  transition: 0.3s;
}

/* --------- ---------------- --------- */
/* ---------      ALBUMS      --------- */
/* --------- ---------------- --------- */

.row {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
  box-sizing:border-box;
}

.column {
  padding: 0 4px;
  box-sizing:border-box;
}

.column img {
  margin-top: 8px;
  vertical-align: middle;
  box-sizing:border-box;

}

/* --------- ---------------- --------- */
/* ---------      BOUTON      --------- */
/* --------- ---------------- --------- */

.button {
  background-color: #4CAF50; /* Green */
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  -webkit-transition-duration: 0.4s; /* Safari */
  transition-duration: 0.4s;
}

.button1 {
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19);
}

.button2 {
  cursor: pointer;
  -webkit-transition-duration: 0.4s; /* Safari */
  transition-duration: 0.4s;
}

.button2:hover {
  box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
}

/* --------- ---------------- --------- */
/* --------     POPUPMODAL     -------- */
/* --------- ---------------- --------- */

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1000; /* Sit on top */
  left: 0;
  bottom: 0;
  width: 100%; /* Half width */
  margin:auto;
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  -webkit-animation-name: fadeIn; /* Fade in the background */
  -webkit-animation-duration: 0.4s;
  animation-name: fadeIn;
  animation-duration: 0.4s
}

/* Modal Content */
.modal-content {
  position: fixed;
  bottom: 0;
  background-color: #fefefe;
  width: 50%;
  margin:auto;
  -webkit-animation-name: slideIn;
  -webkit-animation-duration: 0.4s;
  animation-name: slideIn;
  animation-duration: 0.4s
}

/* The Close Button */
.close {
  color: white;
  float: right;
  font-size: 125px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.modal-header {
  padding: 2px 16px;
  ;background-color: #6E7979;
  color: white;
}

.modal-body {padding: 2px 16px;}

.modal-footer {
  padding: 2px 16px;
  ;background-color: #6E7979;
  color: white;
}

/* Add Animation */
@-webkit-keyframes slideIn {
  from {bottom: -300px; opacity: 0} 
  to {bottom: 0; opacity: 1}
}

@keyframes slideIn {
  from {bottom: -300px; opacity: 0}
  to {bottom: 0; opacity: 1}
}

@-webkit-keyframes fadeIn {
  from {opacity: 0} 
  to {opacity: 1}
}

@keyframes fadeIn {
  from {opacity: 0} 
  to {opacity: 1}
}

/* --------- ---------------- --------- */
/* --------   ZOOM ALBUMS     -------- */
/* --------- ---------------- --------- */


.zoom {
  transition: transform .2s;
  margin: 0 auto;
}

.zoom:hover {
  -ms-transform: scale(1.25); /* IE 9 */
  -webkit-transform: scale(1.25); /* Safari 3-8 */
  transform: scale(1.25); 
  z-index:100;
}

/* --------- ---------------- --------- */
/* --------   TABLEAU     -------- */
/* --------- ---------------- --------- */

table {
    border-collapse: collapse;
    width: 100%;
}

td.iden, th.iden {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
  background-color: #bbbbbb;
}

tr:nth-child(even) {
  background-color: #dddddd;
}

table.carte_menu {
    font-weight:bold;
    font-size:150%;
}

td.carte_menu{
    
}
th.carte_menu{
    
}
/* --------- ---------------- --------- */
/* --------         FORM       -------- */
/* --------- ---------------- --------- */

.contact input[type=text],input[type=mail], textarea, select {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

.contact input[type=submit] {
  width: 100%;
  background-color: #4CAF50;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.contact input[type=submit]:hover {
  background-color: #45a049;
}


/* MENU DEPUIS LA GAUCHE*/

.overlay-deroule {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 10;
  top: 0;
  left: 0;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0, 1);
  overflow-x: hidden;
  transition: 0.5s;
}

.overlay-deroule-content {
  position: relative;
  top: 10%;
  width: 100%;
  text-align: center;
  margin-top: 30px;
}

.overlay-deroule a {
  padding: 8px;
  text-decoration: none;
  font-size: 36px;
  color: #818181;
  display: block;
  transition: 0.3s;
  cursor:pointer;
}

.overlay-deroule a:hover, .overlay-deroule a:focus {
  color: #f1f1f1;
}

.overlay-deroule .closebtn-deroule {
  position: absolute;
  top: 2vh;
  right: 3vw;
  font-size: 6vh;
}

.overlay-deroule p {
  padding: 8px;
  text-decoration: none;
  font-size: 36px;
  color: #ffc93a;
  display: block;
  transition: 0.3s;
}


/* MENU DEPUIS LA DROITE*/

.overlay-deroule-right {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 10;
  top: 0%;
  right: 0;
  background-color: rgb(250,240,230);
  background-color: rgba(250,240,230, 1);
  overflow-x: hidden;
  transition: 0.5s;
}

.closebtn-deroule-right {
  position: absolute;
  top: 2vh;
  right: 3vw;
  font-size: 6vh;
}

.overlay-deroule-content-right {
  position: relative;
  top: 0%;
  width: 100%;
  text-align: center;
  margin-top: 30px;
  color: #f1f1f1;
}